<ui:composition template="templateError.xhtml"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:p="http://primefaces.org/ui"
    xmlns:ui="http://java.sun.com/jsf/facelets">

    <ui:define name="title">
        .:Error Interno :.
    </ui:define>


    <ui:define name="titlePages">
        <span>No se pudo ejecutar la solicitud</span>
    </ui:define>

    <ui:define name="urlNavegacion">

    </ui:define>
    <ui:define name="headCont">
	    <style>
			.modal-open .modal {
			  padding-left: 0px !important;
			  padding-right: 0px !important;
			  overflow-y: scroll;
			}	
			#titleError{
				color: rgb(184, 4, 0);
				font-weight: 300;
				font-size: 30px;			
			}
			.txtError{
			color:#000;
			font-size: 16px;
			}
			.icon-error{
				font-size:100px;
				color: rgb(184, 4, 0);
			}
			#error{
			  color: rgb(108, 108, 108);
			  font-size: 12px;
			  text-rendering: optimizeLegibility;			
			}
			#text-contador{
				color: rgb(184, 4, 0);
				font-size:14px;
			}
		</style>

    </ui:define>

    <ui:define name="content">
        <div class="row">

        </div>
<div class="modal fade" id="modalError" tabindex="-1" data-backdrop="static" 
   data-keyboard="false"  role="dialog" aria-labelledby="exampleModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">        
        <h4 class="modal-title" id="exampleModalLabel">Alerta</h4>
      </div>
      <div class="modal-body clearfix">
			<div class="col-sm-12">
				<div class="row">
					<div class="col-sm-8">
						<div class="row">
							<div class="col-sm-12">
								<h5 id="titleError">No se pudo ejecutar la solicitud</h5>
							</div>
						</div>
						<div class="row">
							<div class="col-sm-12">
								<p class="txtError">Se ha generado un error interno en el Sistema de Gestión de Consultas Externas. Si el problema persiste por favor comuníquese con la Sub Jefatura de Tecnologías de la Información. </p>
							</div>
						</div>												
					</div>
					<div class="col-sm-4" style="margin-top: 50px;">
						<div class="row">
							<div class="col-sm-12 text-center">
								<span class="icon-error icon-attention"></span>
							</div>
						</div>					
					</div>
				</div>
				<div class="row">
					<div class="col-sm-12">
					</div>
				</div>							
			</div>
      </div>
      <div class="modal-footer clearfix">
			<div class="row">
				<div class="col-sm-12">
					<span id="error"></span>
				</div>
			</div>	       
      </div>
    </div>
  </div>
</div>        
    </ui:define>
    <ui:define name="footerCont">
    
		<script type="text/javascript">
		/* center modal */
		function centerModals(){
		  $('.modal').each(function(i){
		    var $clone = $(this).clone().css('display', 'block').appendTo('body');
		    var top = Math.round(($clone.height() - $clone.find('.modal-content').height()) / 2);
		    top = top > 0 ? top : 0;
		    $clone.remove();
		    $(this).find('.modal-content').css("margin-top", top);
		  });
		}
		$('.modal').on('shown.bs.modal', centerModals);
		$(window).on('resize', centerModals);				
		$('#modalError').modal('show');
		
		    var $buoop = {};
		        $buoop.ol = window.onload;
		    window.onload = function() {
		    try {
		    if ($buoop.ol)
		        $buoop.ol();
		        } catch (e) {
		        }
		    var e = document.createElement("script");
		        e.setAttribute("type", "text/javascript");
		        e.setAttribute("src", "//browser-update.org/update.js");
		        document.body.appendChild(e);
		    }
		</script>
		<script type="text/javascript">
		    var a=5;
		    function timer(){
		            a--;

		            var msg='Redireccionándose a la página de inicio del sistema en <span id="text-contador">'+ a +'</span> segundos';
		            document.getElementById('error').innerHTML = msg;
		                    if(a == 0){
		
		                            //location.href=location.pathname+"/../../seguridad/login.xhtml"; //entre las comillas va el nombre de este documento o la pagina a la que se quiera actualizar
		                    		location.href="/ConsultasExternasWeb";
		                    }else{
		                    setTimeout('timer();',2000);
		                    }
		    }
		</script>
		
		<script>
		    
		     timer();
		     
		</script>
		<script>
		    $(document).ready(function() {
		        $.backstretch("../resources/img/fondo.jpeg");
		       
		    });		
		</script>
    </ui:define>
</ui:composition>
